Subject: Re: bug#70779: [PATCH] Emacs 30 and warning about missing lexical-binding declaration

From: Ikumi Keita <[email-masked]>
Date: Mon, 06 May 2024 15:56:11 +0900

Hi Arash,

>>>>> Arash Esbati <[email-masked]> writes:

> That change in Emacs in reverted (d51de0c5d9), but still, I think we can
> turn lexical-binding on in auto-parsed style files as well.  I will
> install this in a day or two if there are no other comments.

I'm not actually against your proposal, but why do we need 40 spaces here?

>> +          (insert ";;" (make-string 40 ?\s) "-*- lexical-binding: t; -*-\n\n")
                           ^^^^^^^^^^^^^^^^^^^^

Best regards,
Ikumi Keita
#StandWithUkraine #StopWarInUkraine
#Gaza #StopMassiveKilling #CeasefireNOW